<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('stock-count') }}</h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left:298px">
          <router-link to="menustock"><a href="dashbaord">
              <font style="vertical-align: inherit">
                <font style="vertical-align: inherit">{{ i18ntext.lngText('stock-count') }}</font>
              </font>
            </a>
          </router-link>
        </li>
      </ol>
    </div>

    <div class="search-box">
      <div id="product">
        <!--#contents -->
        <div class="search-box ">
          <div class="search-box-title" id="Bars">
            <div id="bar" >
              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock-alert') }}
                  <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                    {{ stockcount }} {{ i18ntext.lngText('item') }}
                  </span>
                </a>
              </router-link>
              <router-link to="/ex_alert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText('expire-alert1') }}
                  <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                    {{ count_expire }} {{ i18ntext.lngText('item') }}
                  </span>
                </a>
              </router-link>
            </div>
            <div id="right" style="">
              <a class="btn-radius bt-pn btn btn-sm" data-bs-toggle="dropdown" aria-expanded="false"
                style="float: right; color: #f8f5b4;margin-top: -2px;margin-right: 11px; width: 79px;">
                <i class="fas fa-plus" style="padding-right: 5px"> </i>
                {{ i18ntext.lngText('menu') }}
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a class="dropdown-item" data-bs-toggle="modal" data-bs-target="#staticboomId" tabindex="10028"
                    href="#"><i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText('print') }}</a>
                </li>
              </ul>
            </div>
          </div>
        </div>
        <div class="box">
          <table width="100%" border="0" cellpadding="0" cellspacing="0" class="table table-striped br-table">
            <thead>
              <tr class="header-table">
                <th>
                    <router-link to="stockcount">
                      <div class="button type2" id="uniform-undefined"><span><i class="fas fa-plus"></i> {{ i18ntext.lngText('be-add') }}<input autocomplete="off"
                        type="button" class="type2" onclick="submit_first_form('/master/jusinsya/index')"
                        tabindex="10025" value="表 示" style="opacity: 0;"></span></div>
                    </router-link>
                </th>
                <th colspan="7" style="width: 100%;">
                    <input autocomplete="off" type="search" class="text" v-model="search.name" @input="getPurchase()" 
                      placeholder="Document No, Document Type, Description" style="width: 100%; margin-top: 4px;">
                </th>
              </tr>
              <tr class="header-table">
                <th style="width: 2%;">{{ i18ntext.lngText('be-doc') }}</th>
                <th width="20%">{{ i18ntext.lngText('description') }}</th>
                <th style="width: 7%;">{{ i18ntext.lngText('be-type') }}</th>
                <th colspan="2" style="width: 6%;">{{ i18ntext.lngText('be-total') }}</th>
                <th style="width: 4%;">{{ i18ntext.lngText('be-sts') }}</th>
                <th style="width: 1% !important;"></th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(purchase, index) in purchases.data" :key="index">
                <td>
                  {{ purchase.document_no }}
                </td>
                <td>
                  {{ purchase.description }}
                </td>
                <td>
                  {{ purchase.document_type }}
                </td>
                <td colspan="2">
                  <div class="d-flex justify-content-end">
                    {{ Number(purchase.total_amount).toLocaleString() }}
                    <span v-if="purchase.curency_code == 'USD'">$</span>
                    <span v-else>៛</span>
                  </div>
                </td>
                <td>
                  {{ purchase.statue }}
                </td>
                <td class="text-center d-flex justify-content-center">
                  <div class="button type2" id="uniform-undefined" @click="getEdit(purchase.document_no)">
                    <span>
                      <input autocomplete="off" type="button" value="clear" class="type2" style="opacity: 0; width: 63px"
                        tabindex="10026" /><i class="fa fa-edit" aria-hidden="true"></i>
                        {{ i18ntext.lngText('update') }}</span>
                  </div>
                  <div class="button type2" id="uniform-undefined" @click="btnDelete(purchase.id)">
                    <span>
                      <input autocomplete="off" type="button" value="clear" class="type2" style="opacity: 0; width: 63px"
                        tabindex="10026" /><i class="fa fa-trash" aria-hidden="true"></i>
                        {{ i18ntext.lngText('Delete') }}</span>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
          <div class="box-footer-pagination">
            <pagination :limit="2" :data="purchases" @pagination-change-page="getPurchase" />
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade ui-modal" id="staticboomId" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa fa-print" aria-hidden="true"></i>
            {{ i18ntext.lngText('print') }}</h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div class="ui-dialog-content" >
          <div class="card">
            <div class="card-body print-size">
              <div class="mt-3 " id="purchaseorder" style="height: auto !important;">

                <div style="padding:0 50px 0 50px">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText('st-count') }}</h3>
                    </div>
                  </div>

                  <div class="col-container">
                    <div class="col1" style="width: 55%;">
                      <p class=" p-bg font-size p-pad">{{ i18ntext.lngText('com-name') }}</p>
                      <p class="p-mg info-pad"><span id="bolf">{{ i18ntext.lngText('name') }} :</span> <span id="fon">{{ company.company_name }}</span></p>
                      <p class="p-mg  info-pad"><span id="bold">{{ i18ntext.lngText('phone') }} :</span> <span id="fon">{{ company.company_Phone }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('email') }} :</span> <span id="fon">{{ company.company_Email }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('address') }} :</span> <span id="fon">{{ company.company_Address }}</span></p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('date') }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('be-sub') }}</p>
                      <p class="text-center p-mg" id="fon">{{ printData.length }}</p>

                    </div>
                  </div>
                  <div class=" my-2  justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('no') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('be-doc') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('description') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('be-type') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('be-total') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('be-sts') }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(purchase, index) in printData" :key="index">
                          <td>{{ index + 1 }}</td>
                          <td>{{ purchase.document_no }}</td>
                          <td>{{ purchase.description }}</td>
                          <td>{{ purchase.document_type}}</td>
                          <td>
                            <div class="d-flex justify-content-end">
                              {{ Number(purchase.total_amount).toLocaleString() }}
                              <span v-if="purchase.curency_code == 'USD'">$</span>
                              <span v-else>៛</span>
                            </div>
                          </td>
                          <td>{{ purchase.statue }}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a v-print="'#purchaseorder'" class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText('print') }}</a>
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo />
</template>

<script>
import Auth from '../../auth/Auth';
  import Header from "../Header.vue";
  import axios, { Axios } from "axios";
  import pagination from "laravel-vue-pagination";
  import moment from 'moment';
  import Footer from "../footer.vue"
  import Logo from "../logo.vue"
  import print from 'vue3-print-nb';
  import UserInfo from "../UserInfo.vue"
  import i18n from "../../i18n/i18n"
  export default {
    components: {
      Header, pagination, Footer, Logo,UserInfo
    },
    directives: {
      print
    },
    data() {
      return {
        i18ntext: i18n,
        links: [],
        purchases: [],
        company: [],
        perPage: "",
        currentPage: 0,
        last_page: 1,
        dateformart: "",
        stockcount: 0,
        count_expire: 0,
        search:{name : ''},
        printData : [],
        number_page : 1,

      };
    },
    mounted() {
        if (Auth.check()) {
        if(!Auth.checkPermission(' STOCKCOUNT_ALL')){
            this.$router.push('/dashboard');
        }
    }
    if(this.$route.query.page != 1){
      this.number_page = this.$route.query.page
      this.perPage = "api/v1/stockcout/getviewscockcount?page=" + this.number_page,this.search;
                  axios.post(this.perPage).then(({ data }) => {
                    this.currentPage = data.current_page;
                    this.purchases = data.stock;
                    this.printData = data.print
                  });
    }else{
      this.getPurchase();
    }
      
      this.getcompany();
      this.getstockalert()
      this.getExpire()
    },
    methods: {
      getPurchase(page = 1) {
        this.$router.push({name: 'Viewstockcount', query: {page : page}})
                  axios.post("api/v1/stockcout/getviewscockcount?page=" + page,this.search)
                        .then(({ data }) => {
                            this.currentPage = data.current_page;
                            this.purchases = data.stock;
                            this.printData = data.print
                  });
      },
      getcompany() {
        axios.get("/api/v1/getSetup/")
          .then((response) => {
            this.company = response.data;
            this.dateformart = moment(new Date()).format('DD-MM-YYYY');
          });
      },
      getEdit(id) {
        if (id != "") {
          this.$router.push({
            name: "stockcount",
            query: { id: id },
          });
        }
      },
      btnDelete(id) {
    
        axios.get("api/v1/stockcount/deletestockcount/" + id).then((res) => {
          this.getPurchase();
        });
      },

      getstockalert() {
        axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
          this.stockcount = response.data.data.total;
        });
      },
      getExpire() {
        axios.get('api/v1/expireAlert')
          .then(res => {
            this.count_expire = res.data.stock.total;
            console.log(this.count_expire)
          })
      },
    },
  };
</script>
